##################
# Initiation
##################

from .ons.ops import *
from .ons.gui import *
import bpy
bl_info = {
    "name": "AnimExtras",
    "author": "Andrew Combs and DillonGoo Studios",
    "version": (1, 2, 0),
    "blender": (2, 80, 0),
    "description": "True Onion Skinning",
    "category": "Animation"
}


classes = [ANMX_gui, ANMX_data, ANMX_set_onions, ANMX_add_selected, ANMX_clear_all,
           ANMX_draw_meshes, ANMX_clear_onions, ANMX_update_onions,
           onion_objects, onion_collection]


def register():
    for c in classes:
        bpy.utils.register_class(c)

    bpy.types.Scene.anmx_data = bpy.props.PointerProperty(type=ANMX_data)

    bpy.types.Scene.anmx_coll = bpy.props.PointerProperty(
        type=onion_collection)


def unregister():
    for c in classes:
        bpy.utils.unregister_class(c)

    del bpy.types.Scene.anmx_data
    del bpy.types.Scene.anmx_coll


if __name__ == "__main__":
    register()
